This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 436734 - Sound not played on a remote X session
Sound not played on a remote X session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 23:55 EDT by Anil Seth
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:08:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Seth 2008-03-09 23:55:52 EDT
Description of problem:

Starting a remote session using 'X -query server' from a client does not play
sound on the client system, though the sound plays if instead I start a remote
application using ssh -X from a local session.

Version-Release number of selected component (if applicable):
Server is X64 and client is i386.

How reproducible:
Every time.


Steps to Reproduce:

1.Boot client in init 3.
2.Login and start 'pulseaudio &' (/etc/pulse/default.pa : network access enabled
and module-x11-publish is disabled)
3.Run 'X -query server'
4.Login to remote server. User has PULSE_SERVER set.
5.paplay somefile.wav

Actual results: 

6. No Sound
7. Switch to tty1 (ctrl+alt+f1) and the sound plays
8. Switch back to gui (ctl+alt+f7) and the sound stops

Expected results:

The behaviour should be as in the following case:
I login and start pulseaudio as above.
If instead of 'X -query server', I start a local icewm-session and then run
'Xephyr -query server :1', 
login to the remote server as above
now, if I run 'paplay somefile.wav', the sound plays as expected.


Additional info:
Comment 1 Lennart Poettering 2008-03-28 16:51:54 EDT
of course, for module-x11-publish to work you need to start PA *after* X11 is
running.

This looks like an issue in the CK/HAL permission management. If you start X
like that no proper CK session seems to be created and thus the PA never gets
the ACLs set up properly.

I am reassigning this to HAL now, in the hope davidz can enlighten us how this
should be working.
Comment 2 David Zeuthen 2008-03-28 18:08:57 EDT
Do you expect the remote user to have an ACL on a local device?
Comment 3 Anil Seth 2008-06-03 00:08:14 EDT
The problem persists in Fedora 9.
Comment 4 Bug Zapper 2008-11-26 05:05:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:08:53 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.